org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONMapper.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONMapper.Builder

- All Implemented Interfaces:
    Mapper.Builder<GraphSONMapper.Builder>
  Enclosing class:
    GraphSONMapper

      public static class GraphSONMapper.Builder
      extends Object
      implements Mapper.Builder<GraphSONMapper.Builder>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphSONMapper.Builder` | `addCustomModule(org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule custom)` Supply a mapper module for serialization/deserialization.
    `GraphSONMapper.Builder` | `addRegistry(IoRegistry registry)` Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`.
    `GraphSONMapper` | `create()`
    `GraphSONMapper.Builder` | `loadCustomModules(boolean loadCustomModules)` Try to load `SimpleModule` instances from the current classpath.
    `GraphSONMapper.Builder` | `normalize(boolean normalize)` Forces keys to be sorted.
    `GraphSONMapper.Builder` | `typeInfo(TypeInfo typeInfo)` Specify if the values are going to be typed or not, and at which level.
    `GraphSONMapper.Builder` | `version(GraphSONVersion version)` Set the version of GraphSON to use.
    `GraphSONMapper.Builder` | `version(String version)` Set the version of GraphSON to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.Mapper.Builder

      `addRegistries`

- - ### Method Detail

    - #### addRegistry

          public GraphSONMapper.Builder addRegistry(IoRegistry registry)

      Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`. All `Io` implementations should expose this method via this `Mapper.Builder` so that it is compatible with `Graph.io(org.apache.tinkerpop.gremlin.structure.io.Io.Builder<I>)`. Successive calls to this method will add multiple registries. Registry order must be respected when doing so. In other words, data written with `IoRegistry` `A` added first and `B` second must be read by a `Mapper` with that same registry ordering. Attempting to add `B` before `A` will result in errors.
      Specified by:
        `addRegistry` in interface `Mapper.Builder<GraphSONMapper.Builder>`

    - #### version

          public GraphSONMapper.Builder version(GraphSONVersion version)

      Set the version of GraphSON to use. The default is `GraphSONVersion.V3_0`.

    - #### version

          public GraphSONMapper.Builder version(String version)

      Set the version of GraphSON to use.

    - #### addCustomModule

          public GraphSONMapper.Builder addCustomModule(org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule custom)

      Supply a mapper module for serialization/deserialization.

    - #### loadCustomModules

          public GraphSONMapper.Builder loadCustomModules(boolean loadCustomModules)

      Try to load `SimpleModule` instances from the current classpath. These are loaded in addition to the one supplied to the `addCustomModule(SimpleModule)`;

    - #### normalize

          public GraphSONMapper.Builder normalize(boolean normalize)

      Forces keys to be sorted.

    - #### typeInfo

          public GraphSONMapper.Builder typeInfo(TypeInfo typeInfo)

      Specify if the values are going to be typed or not, and at which level. The level can be `TypeInfo.NO_TYPES` or `TypeInfo.PARTIAL_TYPES`, and could be extended in the future.

    - #### create

          public GraphSONMapper create()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.